CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w -tW
LFLAGS = /Tpe /c /aa
RFLAGS = -32

TARGET = doubleClick.exe
OBJS   = doubleClick.obj numbered.obj split.obj
RESFILES = doubleclick.res

ALL : $(TARGET)

doubleclick.obj: doubleClick.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c doubleClick.cpp
doubleclick.res: doubleClick.rc
	$(RC) $(RFLAGS) doubleClick.rc
numbered.obj: numbered.cpp
	$(CC) $(INCLUDE) -c numbered.cpp
split.obj: split.cpp
	$(CC) $(INCLUDE) -c split.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0w32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)

clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
