#ifndef SPLIT_H
#define SPLIT_H

#pragma warn -8012
#pragma warn -8057

#define VERSION "1.07"
#define BUFFER_SIZE 4224
#define COMMAND "java.exe"
#define COMMAND_SWITCH "Gize"
#define CONSOLE_HEIGHT 390
#define CONSOLE_WIDTH 580
#define DOUBLE_CLICK_TEXT "doubleClick.txt"
#define FIND_WINDOW_MANY_TIMES 50
#define GAP_SIZE 1
#define HELP_FILE_NAME "Gize.pdf"
#define HIDDEN 0
#define LOWER_LIMIT 21
#define MAIN_HEIGHT 203
#define MAIN_WIDTH 289
#define MAIN_X 368
#define MAIN_Y 283
#define NON_SAMPLING_PERIOD 50
#define SMALL_BUFFER_SIZE 40
#define SPLIT_ARRAY_SIZE 128
#define START "[start]"
#define START_CAPITAL_S "[Start]"
#define TEXT_AREA_HEIGHT 87
#define TEXT_AREA_TOP 107
#define TEXT_AREA_WIDTH 289
#define TRIMMING 1
#define UPPER_LIMIT 2100000000
#define VERSION_TEXT "version.txt"
#define WAITING 1000
#define WINDOW_NAME "doubleClick"
#include <fstream>
#include <iostream>
#include <sstream>
#include <stdlib.h>
#include <string>
#include <windows.h>
#include "doubleClickID.h"

class Split {
    int argument_count;
    std::string *s[SPLIT_ARRAY_SIZE];

public:
    int count() const {
        return argument_count;
    }

    int argumentLength(int i) {
        std::string r = *s[i];
        int length = r.length();
        return length;
    }

    std::string argument(int i) const {
        return *s[i];
    }

    Split(char *p, const char *gap);
    Split(char *p, const char *gap, bool exe);
    ~Split();
};

#endif // SPLIT_H
