package info.lotosummary.software;
import java.io.*;
import java.util.*;
import java.util.ArrayList;

public class ExcludeText {
    static final boolean NO_SPLITTING = true;
    static final String BELL = "\\a";
    static final String ERROR_TEXT = "error.txt";
    static final String EMPTY = "";
    static final String EXCLUDE_TEXT = "exclude.txt";
    static final String TEXT_FILE = ".txt";
    static final String WHO = "who";
    static final String WHO_TEXT = "who.txt";

    ArrayList<String> item = new ArrayList<String>();
//    ArrayList item = new ArrayList();
    boolean firstLine, serialNumber, whoText;
    int NEW_LINE_LENGTH;
    String error, list_of_items, NEW_LINE, saveName, whose;
    StringBuffer buffer;
    StringBuffer combos;

    private boolean createErrorText(String messages) {
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(ERROR_TEXT) );
            file.write(messages); file.newLine();
            file.close();
            return true;
        } catch (IOException e38) {
            error = "IOException e38: " + ERROR_TEXT;
            return false;
        }

    }

    private boolean openSaveClose(String fileName) {
        String s = buffer.toString();
        int size = s.length();
        String c;

// Trimming
        for(int i = 0; i < size; i += NEW_LINE_LENGTH) {
            c = s.substring(i, i + NEW_LINE_LENGTH );
            if( NEW_LINE.equals(c) ) {
                continue;
            } else {
                s = s.substring(i);
                break;
            }

        }

// Writing
        try {
            BufferedWriter file = new BufferedWriter( new FileWriter(fileName) );
            file.write(s); file.newLine();
            file.close();
            return true;
        } catch (IOException e75) {
            error = "IOException e75: " + fileName;
            return false;
        }

    }

    private boolean readingToProduceArray() {
        String s;

// Reading list_of_items to produce an array
        try {
            BufferedReader buffered = new BufferedReader( new FileReader(list_of_items) );
            for(;;) {
                s = buffered.readLine();
                if(s == null) {
                    break;
                }

                if( s.length() > 0 ) {
                    item.add(s);
                } else {
                    item.add(BELL);
                }

            }

            return true;
        } catch(IOException e20) {
            error = "IOException e20: " + list_of_items;
            createErrorText(error);
            return false;
        }

    }

    private boolean searchingItem(String s) {
        boolean found = false;
        int listSize = item.size();
        int q;
        Object o;

        for (int i = 0; i < listSize; ++i) {
            o = item.get(i);
            q = s.indexOf( o.toString() );
            if(q >= 0) {
                found = true;
                break;
            }

        }

        return found;
    }

    private void add(String s) {
        combos.append(s);
        combos.append(NEW_LINE);
    }

    private void clear(String s) {
        combos = new StringBuffer();
        whose = s;
    }

    private void listing() {
        String c = combos.toString();
        buffer.append(whose);
        buffer.append(NEW_LINE);
        buffer.append(c);
    }

    public boolean altering(String fileName) {
        boolean through = false;
        Characterizable lineType;
        int r;
        String s;

        readingToProduceArray();
        if(whoText) {
            saveName = WHO_TEXT;
        } else {
            TimeName wt = new TimeName(WHO, TEXT_FILE);
            saveName = wt.temporaryName(serialNumber);
        }

        try {
            BufferedReader buffered = new BufferedReader( new FileReader(fileName) );
// Line-1
            s = buffered.readLine();
            if(s == null) {
                error = "Line-1: s == null";
                return false;
            }

            if(firstLine) {
                add(s);
                listing();
                clear(EMPTY);
            }

            for(;;) {
                s = buffered.readLine();
                if(s == null) {
                    break;
                }

                lineType = new DateFollowed(s, NO_SPLITTING);
                r = lineType.dateLine();
                if(r > 0) {
                    listing();
                    clear(s);
                    continue;
                }

                through = searchingItem(s);
                if(through) {
                    for(;;) {
                        s = buffered.readLine();
                        if(s == null) {
                            break;
                        }

                        lineType = new DateFollowed(s, NO_SPLITTING);
                        r = lineType.dateLine();
                        if(r > 0) {
                            break;
                        }

                    }

                    through = false;
                    if(s == null) { // at EOF 
                        clear(EMPTY);
                        break;
                    } else { // before EOF 
                        clear(s);
                        continue;
                    }

                } else {
                    add(s);
                }

            }

            buffered.close();
            listing();
            openSaveClose(saveName);
            return true;
        } catch(IOException e19) {
            error = "IOException e19: " + fileName;
            return false;
        }

    }

    public ExcludeText(String l, boolean f, boolean s, boolean w) {
        firstLine = f;
        list_of_items = l;
        NEW_LINE = System.getProperty("line.separator");
        NEW_LINE_LENGTH = NEW_LINE.length();
        serialNumber = s;
        whoText = w;

        buffer = new StringBuffer();
        combos = new StringBuffer();
        whose = EMPTY;
    }

    public String altered() {
        return saveName;
    }

    public String inquiry() {
        return error;
    }

}
