package info.lotosummary.software;
import java.io.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;

public class GizeTimerTask extends TimerTask {
    static final String MANAGE_TEXT = "manage.txt";

    boolean firstCall, onlyTwo;
    GizeFrame gf;
    GizeMask gm;
    long untouched;

    public GizeTimerTask(GizeFrame g, GizeMask m, boolean on) {
        gf = g;
        gm = m;
        File file = new File(MANAGE_TEXT);
        firstCall = true;
        onlyTwo = on;
        untouched = file.lastModified();
    }

    public void run() {
// Checking if MANAGE_TEXT has been modified
        File file = new File(MANAGE_TEXT);
        long m = file.lastModified();
        if(m != untouched) {
            untouched = m;
            gf.if_written_file_shall_be_read_again();
        }

        if(firstCall) {
            if(onlyTwo) {
                gf.comparing(gm);
                onlyTwo = false;
            } else {
// Comparing Line-1 with a line similar to Line-1
                gf.similarLine(gm);
                gf.counting();
            }

            firstCall = false;
        }

    }

}
